﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Runtime.InteropServices;
using Microsoft.Interop.Security.AzRoles;

namespace HRPrincipalLocator
{
    
    [ComVisible(false)]
    public partial class DemoPicker : Form
    {
        public DemoPicker()
        {
            InitializeComponent();

            cboType.DataSource = SidTypes.GetSidTypes();

        }


        public int SidType
        {
            get { return (int) cboType.SelectedValue; }
            set { cboType.SelectedValue = value; }
        }

        public string SidName
        {
            get { return txtName.Text; }
            set { txtName.Text = value; }
        }

        public string SidValue
        {
            get { return txtSID.Text; }
            set { txtSID.Text = value; }
        }

        private void btnOK_Click(object sender, EventArgs e)
        {
            Type locType = Type.GetTypeFromProgID("HRPrincipalLocator.DemoPrincipalLocator");
            IAzPrincipalLocator loc = (IAzPrincipalLocator)Activator.CreateInstance(locType);


            
            this.DialogResult = DialogResult.OK;
            this.Hide();
        }

    }
}
