﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="HRPortal._Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>HR Portal - Home</title>
    <link href="styles.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <h1>
            HR Portal Demo</h1>
        <h2>
            Employees</h2>
        <table>
            <tr>
                <td colspan="2" runat="server" id="trErrors">
                    <asp:Label ID="lblErrors" runat="server" Font-Bold="True" ForeColor="#990000"></asp:Label>
                    <br />
                    <br />
                </td>
            </tr>
            <tr>
                <td valign="top">
                    <asp:GridView ID="gvEmployees" runat="server" CellPadding="4" DataSourceID="odsHRListEmployees"
                        ForeColor="#333333" GridLines="None" AutoGenerateColumns="False" DataKeyNames="ID">
                        <RowStyle BackColor="#EFF3FB" />
                        <Columns>
                            <asp:CommandField ShowSelectButton="True" />
                            <asp:BoundField DataField="ID" HeaderText="ID" SortExpression="ID" />
                            <asp:BoundField DataField="Username" HeaderText="Username" SortExpression="Username" />
                            <asp:BoundField DataField="FirstName" HeaderText="FirstName" SortExpression="FirstName" />
                            <asp:BoundField DataField="LastName" HeaderText="LastName" SortExpression="LastName" />
                            <asp:BoundField DataField="Position" HeaderText="Position" SortExpression="Position" />
                        </Columns>
                        <FooterStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
                        <PagerStyle BackColor="#2461BF" ForeColor="White" HorizontalAlign="Center" />
                        <SelectedRowStyle BackColor="#D1DDF1" Font-Bold="True" ForeColor="#333333" />
                        <HeaderStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
                        <EditRowStyle BackColor="#2461BF" />
                        <AlternatingRowStyle BackColor="White" />
                    </asp:GridView>
                    <asp:ObjectDataSource ID="odsHRListEmployees" runat="server" SelectMethod="ListEmployees"
                        TypeName="HRPortal.HRServiceWrapper"></asp:ObjectDataSource>
                    <br />
                    <asp:HyperLink ID="HyperLink1" runat="server" NavigateUrl="~/MyInfo.aspx">My Info...</asp:HyperLink>
                    <br />
                </td>
                <td valign="top">
                    <asp:DetailsView ID="dvEmployee" runat="server" DataSourceID="odsHRGetEmployee" Width="500px"
                        AutoGenerateRows="False" CellPadding="4" ForeColor="#333333" GridLines="None"
                        OnModeChanged="dvEmployee_ModeChanged" 
                        OnItemUpdated="dvEmployee_ItemUpdated">
                        <FooterStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
                        <CommandRowStyle BackColor="#D1DDF1" Font-Bold="True" />
                        <RowStyle BackColor="#EFF3FB" />
                        <FieldHeaderStyle BackColor="#DEE8F5" Font-Bold="True" />
                        <PagerStyle BackColor="#2461BF" ForeColor="White" HorizontalAlign="Center" />
                        <Fields>
                            <asp:CommandField ShowEditButton="True" />
                            <asp:BoundField DataField="ID" HeaderText="ID" InsertVisible="False" ReadOnly="True"
                                SortExpression="ID" />
                            <asp:TemplateField HeaderText="Username" SortExpression="Username">
                                <EditItemTemplate>
                                    <asp:TextBox ID="TextBox1" runat="server" Text='<%# Bind("Username") %>'></asp:TextBox>
                                    <asp:CheckBox ID="CheckBox1" runat="server" Checked='<%# Bind("UpdateUsername") %>'
                                        Text="Update" />
                                </EditItemTemplate>
                                <InsertItemTemplate>
                                    <asp:TextBox ID="TextBox1" runat="server" Text='<%# Bind("Username") %>'></asp:TextBox>
                                </InsertItemTemplate>
                                <ItemTemplate>
                                    <asp:Label ID="Label1" runat="server" Text='<%# Bind("Username") %>'></asp:Label>
                                </ItemTemplate>
                            </asp:TemplateField>
                            <asp:TemplateField HeaderText="FirstName" SortExpression="FirstName">
                                <EditItemTemplate>
                                    <asp:TextBox ID="TextBox2" runat="server" Text='<%# Bind("FirstName") %>'></asp:TextBox>
                                    <asp:CheckBox ID="CheckBox2" runat="server" Checked='<%# Bind("UpdateFirstName") %>'
                                        Text="Update" />
                                </EditItemTemplate>
                                <InsertItemTemplate>
                                    <asp:TextBox ID="TextBox2" runat="server" Text='<%# Bind("FirstName") %>'></asp:TextBox>
                                </InsertItemTemplate>
                                <ItemTemplate>
                                    <asp:Label ID="Label2" runat="server" Text='<%# Bind("FirstName") %>'></asp:Label>
                                </ItemTemplate>
                            </asp:TemplateField>
                            <asp:TemplateField HeaderText="LastName" SortExpression="LastName">
                                <EditItemTemplate>
                                    <asp:TextBox ID="TextBox3" runat="server" Text='<%# Bind("LastName") %>'></asp:TextBox>
                                    <asp:CheckBox ID="CheckBox3" runat="server" Checked='<%# Bind("UpdateLastName") %>'
                                        Text="Update" />
                                </EditItemTemplate>
                                <InsertItemTemplate>
                                    <asp:TextBox ID="TextBox3" runat="server" Text='<%# Bind("LastName") %>'></asp:TextBox>
                                </InsertItemTemplate>
                                <ItemTemplate>
                                    <asp:Label ID="Label3" runat="server" Text='<%# Bind("LastName") %>'></asp:Label>
                                </ItemTemplate>
                            </asp:TemplateField>
                            <asp:TemplateField HeaderText="Position" SortExpression="Position">
                                <EditItemTemplate>
                                    <asp:TextBox ID="TextBox4" runat="server" Text='<%# Bind("Position") %>'></asp:TextBox>
                                    <asp:CheckBox ID="CheckBox4" runat="server" Checked='<%# Bind("UpdatePosition") %>'
                                        Text="Update" />
                                </EditItemTemplate>
                                <InsertItemTemplate>
                                    <asp:TextBox ID="TextBox4" runat="server" Text='<%# Bind("Position") %>'></asp:TextBox>
                                </InsertItemTemplate>
                                <ItemTemplate>
                                    <asp:Label ID="Label4" runat="server" Text='<%# Bind("Position") %>'></asp:Label>
                                </ItemTemplate>
                            </asp:TemplateField>
                            <asp:TemplateField HeaderText="BonusPercentage" SortExpression="BonusPercentage">
                                <EditItemTemplate>
                                    <asp:TextBox ID="TextBox5" runat="server" Text='<%# Bind("BonusPercentage") %>'></asp:TextBox>
                                    <asp:CheckBox ID="CheckBox5" runat="server" Checked='<%# Bind("UpdateBonusPercentage") %>'
                                        Text="Update" />
                                </EditItemTemplate>
                                <InsertItemTemplate>
                                    <asp:TextBox ID="TextBox5" runat="server" Text='<%# Bind("BonusPercentage") %>'></asp:TextBox>
                                </InsertItemTemplate>
                                <ItemTemplate>
                                    <asp:Label ID="Label5" runat="server" Text='<%# Bind("BonusPercentage") %>'></asp:Label>
                                </ItemTemplate>
                            </asp:TemplateField>
                            <asp:TemplateField HeaderText="ManagerID" SortExpression="ManagerID">
                                <EditItemTemplate>
                                    <asp:TextBox ID="TextBox6" runat="server" Text='<%# Bind("ManagerID") %>'></asp:TextBox>
                                    <asp:CheckBox ID="CheckBox6" runat="server" Checked='<%# Bind("UpdateManagerID") %>'
                                        Text="Update" />
                                </EditItemTemplate>
                                <InsertItemTemplate>
                                    <asp:TextBox ID="TextBox6" runat="server" Text='<%# Bind("ManagerID") %>'></asp:TextBox>
                                </InsertItemTemplate>
                                <ItemTemplate>
                                    <asp:Label ID="Label6" runat="server" Text='<%# Bind("ManagerID") %>'></asp:Label>
                                </ItemTemplate>
                            </asp:TemplateField>
                            <asp:TemplateField HeaderText="SSN" SortExpression="SSN">
                                <EditItemTemplate>
                                    <asp:TextBox ID="TextBox7" runat="server" Text='<%# Bind("SSN") %>'></asp:TextBox>
                                    <asp:CheckBox ID="CheckBox7" runat="server" Checked='<%# Bind("UpdateSSN") %>' Text="Update" />
                                </EditItemTemplate>
                                <InsertItemTemplate>
                                    <asp:TextBox ID="TextBox7" runat="server" Text='<%# Bind("SSN") %>'></asp:TextBox>
                                </InsertItemTemplate>
                                <ItemTemplate>
                                    <asp:Label ID="Label7" runat="server" Text='<%# Bind("SSN") %>'></asp:Label>
                                </ItemTemplate>
                            </asp:TemplateField>
                            <asp:TemplateField HeaderText="Salary" SortExpression="Salary">
                                <EditItemTemplate>
                                    <asp:TextBox ID="TextBox8" runat="server" Text='<%# Bind("Salary") %>'></asp:TextBox>
                                    <asp:CheckBox ID="CheckBox8" runat="server" Checked='<%# Bind("UpdateSalary") %>'
                                        Text="Update" />
                                </EditItemTemplate>
                                <InsertItemTemplate>
                                    <asp:TextBox ID="TextBox8" runat="server" Text='<%# Bind("Salary") %>'></asp:TextBox>
                                </InsertItemTemplate>
                                <ItemTemplate>
                                    <asp:Label ID="Label8" runat="server" Text='<%# Bind("Salary") %>'></asp:Label>
                                </ItemTemplate>
                            </asp:TemplateField>
                        </Fields>
                        <HeaderStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
                        <HeaderTemplate>
                            Selected Employee
                        </HeaderTemplate>
                        <EditRowStyle BackColor="#2461BF" />
                        <AlternatingRowStyle BackColor="White" />
                    </asp:DetailsView>
                    <asp:ObjectDataSource ID="odsHRGetEmployee" runat="server" DataObjectTypeName="HRPortal.HRServiceProxy.EmployeeUpdateInfo"
                        SelectMethod="GetEmployee" TypeName="HRPortal.HRServiceWrapper" 
                        UpdateMethod="UpdateEmployee"
                        onselected="odsHRGetEmployee_Selected">
                        <SelectParameters>
                            <asp:ControlParameter ControlID="gvEmployees" Name="ID" PropertyName="SelectedValue"
                                Type="String" />
                        </SelectParameters>
                    </asp:ObjectDataSource>
                </td>
            </tr>
        </table>
    </div>
    </form>
</body>
</html>
