﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;

using HRServiceEntities;

namespace HRService
{

    [ServiceContract]
    public interface IHRService
    {

        [OperationContract]
        List<Employee> ListEmployees();

        [OperationContract]
        Employee GetEmployee(string ID);

        [OperationContract]
        void UpdateEmployee(EmployeeUpdateInfo UpdatedEmployee);

        [OperationContract]
        Employee GetMyEmployeeRecord();

        [OperationContract]
        void UpdateMyEmployeeRecord(EmployeeUpdateInfo UpdatedEmployee);

        [OperationContract]
        Rights GetMyRights();

        [OperationContract]
        Rights GetMyRightsToSelf();

        [OperationContract]
        Rights GetRightsForUser(string UserName);

    }

}
