﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace HRServiceBus
{
    /// <summary>
    /// The list of operation ID numbers. 
    /// This is used when working with the AzMan API directly.
    /// </summary>
    public class OperationIds
    {
        public const int ListEmployees = 101;

        public const int AddEmployee = 150;

        public const int GetEmployee = 102;
        public const int GetEmployeeAddress = 106;
        public const int GetEmployeeBonus = 105;
        public const int GetEmployeeSalary = 103;
        public const int GetEmployeeSSN = 104;

        public const int UpdateEmployee = 153;
        public const int SetEmployeeAddress = 156;
        public const int SetEmployeeSSN = 157;
        public const int SetEmployeeSalary = 159;
        public const int SetEmployeeManager = 155;
        public const int SetEmployeePosition = 154;

        public const int TerminateEmployee = 151;
        public const int ReinstateEmployee = 152;

    }
}
