﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace HRServiceBus
{
    /// <summary>
    /// Helper class to hold the names of the operations. 
    /// This is needed / used by the Enterprise Library implementation.
    /// This is not required for use with AzMan.
    /// </summary>
    public class Operations
    {

        public const string ListEmployees = "ListEmployees";

        public const string AddEmployee = "AddEmployee";

        public const string GetEmployee = "GetEmployee";
        public const string GetEmployeeAddress = "GetEmployeeAddress";
        public const string GetEmployeeBonus = "GetEmployeeBonus";
        public const string GetEmployeeSalary = "GetEmployeeSalary";
        public const string GetEmployeeSSN = "GetEmployeeSSN";

        public const string UpdateEmployee = "UpdateEmployee";
        public const string SetEmployeeAddress = "SetEmployeeAddress";
        public const string SetEmployeeSSN = "SetEmployeeSSN";
        public const string SetEmployeeSalary = "SetEmployeeSalary";
        public const string SetEmployeeManager = "SetEmployeeManager";
        public const string SetEmployeePosition = "SetEmployeePosition";

        public const string TerminateEmployee = "TerminateEmployee";
        public const string ReinstateEmployee = "ReinstateEmployee";

    }
}
