﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.Serialization;

namespace HRServiceEntities
{
    /// <summary>
    /// The employee record.
    /// </summary>
    [DataContract()]
    public class Employee
    {
        [DataMember()] 
        public string ID {get; set;}

        [DataMember()]
        public string Username { get; set; }

        [DataMember()]
        public string FirstName { get; set; }

        [DataMember()]
        public string LastName { get; set; }


        [DataMember()]
        public Address HomeAddress { get; set; }


        [DataMember()]
        public string Position { get; set; }

        [DataMember()]
        public string ManagerID { get; set; }


        [DataMember()]
        public string SSN { get; set; }

        [DataMember()]
        public double? Salary { get; set; }

        [DataMember()]
        public double? BonusPercentage { get; set; }


    }
}
